Bug 449644 - kwin_wayland crashed when I tried to drag a URL from Firefox running on Xwayland to desktop
Summary: kwin_wayland crashed when I tried to drag a URL from Firefox running on Xwayl...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: master
Platform: Neon Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-05 10:05 UTC by Patrick Silva
Modified: 2022-02-15 14:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-02-05 10:05:11 UTC
kwin_wayland crashed after these steps:
1. run Firefox on Xwayland
2. load any website
3. drag the loaded URL from the address bar and drop it on desktop

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Graphics Platform: Wayland


Thread 12 (Thread 0x7fefb19c3700 (LWP 9604)):
#0  0x00007fefc8ac4aff in __GI___poll (fds=0x7fefa0005240, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fefc702f36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fefa0005240, timeout=<optimized out>, context=0x7fefa0000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fefa0000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fefc702f4a3 in g_main_context_iteration (context=0x7fefa0000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fefc941c9f2 in QEventDispatcherGlib::processEvents (this=0x7fefa0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fefc93c0c9b in QEventLoop::exec (this=this@entry=0x7fefb19c2bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fefc91da362 in QThread::exec (this=this@entry=0x561d0dab1da0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fefcaab2539 in QQmlThreadPrivate::run (this=0x561d0dab1da0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0dab1da0) at thread/qthread_unix.cpp:331
#9  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fef8e36f700 (LWP 14753)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fef8e36eb50, clockid=<optimized out>, expected=0, futex_word=0x561d0ecdab64) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fef8e36eb50, clockid=<optimized out>, mutex=0x561d0ecdab10, cond=0x561d0ecdab38) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=cond@entry=0x561d0ecdab38, mutex=mutex@entry=0x561d0ecdab10, abstime=abstime@entry=0x7fef8e36eb50) at pthread_cond_wait.c:665
#3  0x00007fefc91e1668 in QWaitConditionPrivate::wait_relative (this=0x561d0ecdab10, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x561d0ecdab10) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x561d0e91f740, mutex=mutex@entry=0x561d0d89c0a8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fefc91deb71 in QThreadPoolThread::run (this=0x561d0e91f730) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0e91f730) at thread/qthread_unix.cpp:331
#8  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fef8db6e700 (LWP 14754)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fef8db6db50, clockid=<optimized out>, expected=0, futex_word=0x561d0eca2964) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fef8db6db50, clockid=<optimized out>, mutex=0x561d0eca2910, cond=0x561d0eca2938) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=cond@entry=0x561d0eca2938, mutex=mutex@entry=0x561d0eca2910, abstime=abstime@entry=0x7fef8db6db50) at pthread_cond_wait.c:665
#3  0x00007fefc91e1668 in QWaitConditionPrivate::wait_relative (this=0x561d0eca2910, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x561d0eca2910) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x561d0e8ff530, mutex=mutex@entry=0x561d0d89c0a8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fefc91deb71 in QThreadPoolThread::run (this=0x561d0e8ff520) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0e8ff520) at thread/qthread_unix.cpp:331
#8  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fefb3fff700 (LWP 9601)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x561d0d6ecad8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x561d0d6eca88, cond=0x561d0d6ecab0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x561d0d6ecab0, mutex=mutex@entry=0x561d0d6eca88) at pthread_cond_wait.c:647
#3  0x00007fefc2022b1b in cnd_wait (mtx=0x561d0d6eca88, cond=0x561d0d6ecab0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x561d0d6ee060) at ../src/util/u_queue.c:294
#5  0x00007fefc202271b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fef8eb70700 (LWP 14751)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fef8eb6fb50, clockid=<optimized out>, expected=0, futex_word=0x561d0ec67d74) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fef8eb6fb50, clockid=<optimized out>, mutex=0x561d0ec67d20, cond=0x561d0ec67d48) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=cond@entry=0x561d0ec67d48, mutex=mutex@entry=0x561d0ec67d20, abstime=abstime@entry=0x7fef8eb6fb50) at pthread_cond_wait.c:665
#3  0x00007fefc91e1668 in QWaitConditionPrivate::wait_relative (this=0x561d0ec67d20, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x561d0ec67d20) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x561d0e7435a0, mutex=mutex@entry=0x561d0d89c0a8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fefc91deb71 in QThreadPoolThread::run (this=0x561d0e743590) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0e743590) at thread/qthread_unix.cpp:331
#8  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fefc0cb3700 (LWP 9600)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x561d0d6ecad8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x561d0d6eca88, cond=0x561d0d6ecab0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x561d0d6ecab0, mutex=mutex@entry=0x561d0d6eca88) at pthread_cond_wait.c:647
#3  0x00007fefc2022b1b in cnd_wait (mtx=0x561d0d6eca88, cond=0x561d0d6ecab0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x561d0d6ee020) at ../src/util/u_queue.c:294
#5  0x00007fefc202271b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fef8f371700 (LWP 14749)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fef8f370b50, clockid=<optimized out>, expected=0, futex_word=0x561d0d8a6bd4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fef8f370b50, clockid=<optimized out>, mutex=0x561d0d8a6b80, cond=0x561d0d8a6ba8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=cond@entry=0x561d0d8a6ba8, mutex=mutex@entry=0x561d0d8a6b80, abstime=abstime@entry=0x7fef8f370b50) at pthread_cond_wait.c:665
#3  0x00007fefc91e1668 in QWaitConditionPrivate::wait_relative (this=0x561d0d8a6b80, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x561d0d8a6b80) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x561d0d894920, mutex=mutex@entry=0x561d0d89c0a8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fefc91deb71 in QThreadPoolThread::run (this=0x561d0d894910) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0d894910) at thread/qthread_unix.cpp:331
#8  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fefc1cb5700 (LWP 9598)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x561d0d6ecad8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x561d0d6eca88, cond=0x561d0d6ecab0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x561d0d6ecab0, mutex=mutex@entry=0x561d0d6eca88) at pthread_cond_wait.c:647
#3  0x00007fefc2022b1b in cnd_wait (mtx=0x561d0d6eca88, cond=0x561d0d6ecab0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x561d0d6edbc0) at ../src/util/u_queue.c:294
#5  0x00007fefc202271b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fefc14b4700 (LWP 9599)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x561d0d6ecad8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x561d0d6eca88, cond=0x561d0d6ecab0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x561d0d6ecab0, mutex=mutex@entry=0x561d0d6eca88) at pthread_cond_wait.c:647
#3  0x00007fefc2022b1b in cnd_wait (mtx=0x561d0d6eca88, cond=0x561d0d6ecab0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x561d0d6eddf0) at ../src/util/u_queue.c:294
#5  0x00007fefc202271b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fefc35e8700 (LWP 9594)):
#0  0x00007fefc8ac4aff in __GI___poll (fds=0x7fefbc0053c0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fefc702f36e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7fefbc0053c0, timeout=<optimized out>, context=0x7fefbc001ce0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fefbc001ce0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fefc702f4a3 in g_main_context_iteration (context=0x7fefbc001ce0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fefc941c9f2 in QEventDispatcherGlib::processEvents (this=0x7fefbc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fefc93c0c9b in QEventLoop::exec (this=this@entry=0x7fefc35e7bb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fefc91da362 in QThread::exec (this=this@entry=0x7fefcba2fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fefcb9abf4b in QDBusConnectionManager::run (this=0x7fefcba2fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007fefc91db543 in QThreadPrivate::start (arg=0x7fefcba2fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#9  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fefb37fe700 (LWP 9602)):
#0  0x00007fefc8ac4aff in __GI___poll (fds=0x7fefa8005240, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fefc702f36e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x7fefa8005240, timeout=<optimized out>, context=0x7fefa8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fefa8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fefc702f4a3 in g_main_context_iteration (context=0x7fefa8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fefc941c9f2 in QEventDispatcherGlib::processEvents (this=0x7fefa8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fefc93c0c9b in QEventLoop::exec (this=this@entry=0x7fefb37fdbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fefc91da362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fefc91db543 in QThreadPrivate::start (arg=0x561d0d6f16c0) at thread/qthread_unix.cpp:331
#8  0x00007fefc8fc0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fefc8ad1293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fefc429d680 (LWP 9587)):
#0  0x0000561d0c0cd1c3 in KWin::Xwl::XToWlDrag::setDragTarget (this=this@entry=0x561d0edad2f0) at ./src/xwl/drag_x.cpp:217
#1  0x0000561d0c0cdc09 in KWin::Xwl::XToWlDrag::setOffers (offers=..., this=0x561d0edad2f0) at ./src/xwl/drag_x.cpp:210
#2  KWin::Xwl::XToWlDrag::setOffers (this=0x561d0edad2f0, offers=...) at ./src/xwl/drag_x.cpp:187
#3  0x00007fefc93f91be in QtPrivate::QSlotObjectBase::call (a=0x7fff6e416a90, r=0x561d0edad2f0, this=0x561d0edac9d0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#4  doActivate<false> (sender=0x561d0edac0b0, signal_index=3, argv=0x7fff6e416a90) at kernel/qobject.cpp:3886
#5  0x00007fefc93f2587 in QMetaObject::activate (sender=sender@entry=0x561d0edac0b0, m=m@entry=0x561d0c23aaa0 <KWin::Xwl::WlVisit::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff6e416a90) at kernel/qobject.cpp:3946
#6  0x0000561d0c0c6856 in KWin::Xwl::WlVisit::offersReceived (this=this@entry=0x561d0edac0b0, _t1=...) at ./obj-x86_64-linux-gnu/src/xwl/KWinXwaylandServerModule_autogen/EWIEGA46WW/moc_drag_x.cpp:228
#7  0x0000561d0c0cee4d in KWin::Xwl::WlVisit::handleEnter (this=this@entry=0x561d0edac0b0, event=event@entry=0x561d0e747de0) at ./src/xwl/drag_x.cpp:360
#8  0x0000561d0c0cf09f in KWin::Xwl::WlVisit::handleEnter (event=0x561d0e747de0, this=0x561d0edac0b0) at ./src/xwl/drag_x.cpp:332
#9  KWin::Xwl::WlVisit::handleClientMessage (this=0x561d0edac0b0, event=0x561d0e747de0) at ./src/xwl/drag_x.cpp:313
#10 0x0000561d0c0cf1ec in KWin::Xwl::XToWlDrag::handleClientMessage (this=0x561d0edad2f0, event=0x561d0e747de0) at ./src/xwl/drag_x.cpp:167
#11 0x0000561d0c0ca19c in KWin::Xwl::DataBridge::nativeEventFilter (this=0x561d0e42ad80, eventType=..., message=0x561d0e747de0) at ./src/xwl/databridge.cpp:64
#12 0x00007fefc93bf62f in QAbstractEventDispatcher::filterNativeEvent (this=<optimized out>, eventType=..., message=message@entry=0x561d0e747de0, result=result@entry=0x7fff6e416c18) at kernel/qabstracteventdispatcher.cpp:495
#13 0x0000561d0c0db688 in KWin::Xwl::Xwayland::dispatchEvents (this=0x561d0da056f0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbytearray.h:463
#14 0x00007fefc93f91be in QtPrivate::QSlotObjectBase::call (a=0x7fff6e416d70, r=0x561d0da056f0, this=0x561d0d8969a0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#15 doActivate<false> (sender=0x561d0e45cff0, signal_index=3, argv=0x7fff6e416d70) at kernel/qobject.cpp:3886
#16 0x00007fefc93f2587 in QMetaObject::activate (sender=sender@entry=0x561d0e45cff0, m=m@entry=0x7fefc965eb40 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff6e416d70) at kernel/qobject.cpp:3946
#17 0x00007fefc93fd243 in QSocketNotifier::activated (this=this@entry=0x561d0e45cff0, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#18 0x00007fefc93fd9e3 in QSocketNotifier::event (this=0x561d0e45cff0, e=0x7fff6e417040) at kernel/qsocketnotifier.cpp:302
#19 0x00007fefc9ee6dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x561d0d545c30, receiver=receiver@entry=0x561d0e45cff0, e=e@entry=0x7fff6e417040) at kernel/qapplication.cpp:3632
#20 0x00007fefc9eefbb8 in QApplication::notify (this=0x7fff6e417470, receiver=0x561d0e45cff0, e=0x7fff6e417040) at kernel/qapplication.cpp:3156
#21 0x00007fefc93c219a in QCoreApplication::notifyInternal2 (receiver=0x561d0e45cff0, event=0x7fff6e417040) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#22 0x00007fefc9419c1b in QEventDispatcherUNIXPrivate::activateSocketNotifiers (this=0x561d0d552230) at kernel/qeventdispatcher_unix.cpp:304
#23 0x00007fefc941a07b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:511
#24 0x0000561d0c1dfdd1 in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
#25 0x00007fefc93c0c9b in QEventLoop::exec (this=this@entry=0x7fff6e4171d0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#26 0x00007fefc93c8e44 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#27 0x0000561d0c0c0b0c in main (argc=<optimized out>, argv=<optimized out>) at ./src/main_wayland.cpp:727
Comment 1 Bug Janitor Service 2022-02-07 12:20:16 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1979
Comment 2 David Redondo 2022-02-15 14:15:51 UTC
Git commit 5caa28c1a3e18dc7a763b69303a7b3c8557c0eba by David Redondo.
Committed on 15/02/2022 at 12:28.
Pushed by davidre into branch 'master'.

xwayland: Guard  against offers arriving after leaving surface

If the XdndEnter message is handled after leaving the current
wayland surface m_visit will be null.

M  +4    -0    src/xwl/drag_x.cpp

https://invent.kde.org/plasma/kwin/commit/5caa28c1a3e18dc7a763b69303a7b3c8557c0eba
Comment 3 David Redondo 2022-02-15 14:17:11 UTC
Git commit 70766a4416bb421dfda18939541723890789345f by David Redondo.
Committed on 15/02/2022 at 14:17.
Pushed by davidre into branch 'Plasma/5.24'.

xwayland: Guard  against offers arriving after leaving surface

If the XdndEnter message is handled after leaving the current
wayland surface m_visit will be null.


(cherry picked from commit 5caa28c1a3e18dc7a763b69303a7b3c8557c0eba)

M  +4    -0    src/xwl/drag_x.cpp

https://invent.kde.org/plasma/kwin/commit/70766a4416bb421dfda18939541723890789345f